Bug 222523 - lang/smalltalk: fails to compile with default config
Summary: lang/smalltalk: fails to compile with default config
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Johan van Selst
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-23 07:06 UTC by 1wkmmr
Modified: 2018-11-12 11:50 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (johans)


Attachments
a patch file to be placed in files directory (465 bytes, patch)
2017-09-23 07:06 UTC, 1wkmmr
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description 1wkmmr 2017-09-23 07:06:33 UTC
Created attachment 186626 [details]
a patch file to be placed in files directory

Hi,

Compiling the following port ends with error on my 11.1-STABLE amd64 machine. 

 $FreeBSD: head/lang/smalltalk/Makefile 450351 2017-09-22 10:48:28Z mat $

 FreeBSD dhcp34.tmnetwork.local 11.1-STABLE FreeBSD 11.1-STABLE #1 r323841

It looks that the relevant file, tutorial.texi, includes a buggy expression. 

Here, I enclose a patch for workaround.

Please check it out, and commit it if appropriate.

Cheers
Comment 1 Walter Schwarzenfeld freebsd_triage 2018-02-10 06:39:35 UTC
Feedback please!
Comment 2 Walter Schwarzenfeld freebsd_triage 2018-02-10 13:55:11 UTC
Makefile shows
Makefile 452515 2017-10-20

Still a problem?
Comment 3 1wkmmr 2018-02-14 13:24:16 UTC
(In reply to w.schwarzenfeld from comment #2
Yes, I believe it's still a problem. 
I'm working ports/head/lang/smalltalk of 
$FreeBSD: head/lang/smalltalk/Makefile 452515 2017-10-20 11:42:47Z gahr $ 
on 11.1-STABLE FreeBSD 11.1-STABLE #0 r329198 amd64. 
The patch in Attachments should be commited even now.
Comment 4 commit-hook freebsd_committer 2018-02-15 10:16:06 UTC
A commit references this bug:

Author: johans
Date: Thu Feb 15 10:15:46 UTC 2018
New revision: 461875
URL: https://svnweb.freebsd.org/changeset/ports/461875

Log:
  Fix documentation build error (makeinfo)

  PR:		222523
  Submitted by:	1wkmmr@gmail.com

Changes:
  head/lang/smalltalk/files/patch-doc_tutorial.texi
Comment 5 Lorenzo Salvadore freebsd_committer 2018-11-12 10:17:32 UTC
This bug has status NEW, but a patch has been committed: I guess it should be closed now, but someone forgot it.